DL_FixedBasePrecomputation< T > Class Template Referenceabstract
Inheritance diagram for DL_FixedBasePrecomputation< T >:

## Public Types

typedef T | Element

## Public Member Functions

virtual bool | IsInitialized () const =0
virtual void | SetBase (const DL_GroupPrecomputation< Element > &group, const Element &base)=0
virtual const Element & | GetBase (const DL_GroupPrecomputation< Element > &group) const =0
virtual void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)=0
virtual void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)=0
virtual void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const =0
virtual Element | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const =0
virtual Element | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Element > &pc2, const Integer &exponent2) const =0

## Detailed Description

### template<class T>
class DL_FixedBasePrecomputation< T >

Definition at line 25 of file eprecomp.h.

The documentation for this class was generated from the following file:

- eprecomp.h